%global owner		gbcox
%global commit		d7123bb196f55f77eb37c65d713ca8fb4b844e94
%global shortcommit	%(c=%{commit}; echo ${c:0:12})

Name:			ykocli
Version:		1.0.1
Release:		1%{?dist}
Summary:		Frontend script for ykman to obtain oath codes

License:		GPLv3+
URL:			https://bitbucket.org/%{owner}/%{name}
Source0:		https://bitbucket.org/%{owner}/%{name}/get/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz
Source1:		%{name}.rpmlintrc

BuildArch:		noarch
BuildRequires:	make
Requires:		figlet
Requires:		copyq
Requires:		yubikey-manager

%description
ykocli is a front end command line utility (actually, a bash script)
that places ykman obtained oath codes into the copyq clipboard.

%prep
%autosetup -n %{owner}-%{name}-%{shortcommit}

%build

%install
%make_install prefix=%{_prefix} sysconfdir=%{_sysconfdir}

%files
%license LICENSE.md
%doc README.md contributors.txt
%config(noreplace) %{_sysconfdir}/ykocli.conf
%{_bindir}/ykocli
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/src-yko-set-colors.sh
%{_libexecdir}/%{name}/src-yko-ck-input.sh
%{_libexecdir}/%{name}/src-yko-figlet.sh
%{_libexecdir}/%{name}/src-yko-help.sh
%{_libexecdir}/%{name}/src-yko-time.sh
%{_mandir}/man1/ykocli.1*

%changelog
* Wed Nov 23 2022 Gerald Cox <gbcox@fedoraproject.org> - 1.0.1-1
- Fedora Review rhgz#2144611

* Mon Nov 21 2022 Gerald Cox <gbcox@fedoraproject.org> - 1.0.0-1
- Fedora Review rhbz#2144611
